$AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$ = {$items$:"tabh", $conveyor_belt_container$:"cbc", $conveyor_belt$:"cbct", $end_overflow_indicator$:"ecbic", $start_overflow_indicator$:"scbic", $selected_pointer$:"sbsp", $body_viewport$:"tabbvp", $icon$:"icon"};
$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlPanelSpringboardPeer$$$$$GetSubIdDomElement$$($subElementId$$34$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$34$$);
  var $component$$1835$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$34$$, $AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$, $component$$1835$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSpringboardPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlPanelSpringboardPeer$$$$$GetBestMatchSubId$$($domElement$$579$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$579$$, this, $AdfDhtmlPanelSpringboardPeer$$.$_SUB_ID_MAP$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSpringboardPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlPanelSpringboardPeer$$.prototype.$GetBestMatchSubId$});
